function[psort]=pricedist(bidder,invbidfunc,ressup,agdem)

global resamplingdraws pgrid

pclear=zeros(resamplingdraws,3);
datasize=size(invbidfunc);

for j=1:resamplingdraws
    %Determine the (highest) market clearing price corresponding to the current residual supply
    for p=datasize(1,2):-1:1
        if ressup(j,p)-invbidfunc(bidder,p)<=0
            if ressup(j,p)-invbidfunc(bidder,p)<0 %somebody is rationed.
                if ressup(j,min(p+1,datasize(1,2)))-invbidfunc(bidder,min(p+1,datasize(1,2)))>0 %i.e. res supply cuts the horizontal piece of somebody's bid
                    pclear(j,1)=pgrid(1,p);
                    pclear(j,2)=invbidfunc(bidder,p);
                    pclear(j,3)=ressup(j,p);
                    pclear(j,4)=ressup(j,p+1);
                    pclear(j,5)=1; %rationing (may not be 'bidder'!!!)
                    %compute rationing coefficient:
                    pclear(j,6)=invbidfunc(bidder,p)/(agdem(j,p)-agdem(j,min(p+1,datasize(1,2)))+invbidfunc(bidder,p));
                    
                    %the following case should not happen! (market would
                    %have cleared at p+1)
                else %In this case it cuts the vertical part of the bid, and hence the market will clear on a price+1
                    pclear(j,1)=pgrid(1,min(p+1,datasize(1,2))); %If ressup would be too low, then rationing, but i gets fully served on vertical step in ressup
                    pclear(j,2)=invbidfunc(bidder,min(p+1,datasize(1,2)));
                    pclear(j,3)=ressup(j,min(p+1,datasize(1,2)));
                    pclear(j,4)=ressup(j,min(p+2,datasize(1,2)));
                    pclear(j,5)=2;
                    pclear(j,6)=invbidfunc(bidder,p)/(agdem(j,p)-agdem(j,min(p+1,datasize(1,2)))+invbidfunc(bidder,p));
                end
            else
                %pclear(j,2)=ressup(j,p); If they are the same, then no problem
                pclear(j,1)=pgrid(1,p);
                pclear(j,2)=invbidfunc(bidder,p);
                pclear(j,3)=ressup(j,p);
                pclear(j,4)=ressup(j,p+1);
                pclear(j,5)=0;
                pclear(j,6)=invbidfunc(bidder,p)/(agdem(j,p)-agdem(j,min(p+1,datasize(1,2)))+invbidfunc(bidder,p));
            end
            break
        end
    end
end
psort=sortrows(pclear,[1 2 3]);