clear
samplesize=[20 40 80]; %[50 100 200]; % it gets multipled by 5/2 to correct for corners to have about 'samplesize' of hypotheses 
                       % - of course it means that there are then
                       % 5/2*samplesize bidders for non-parametric
                       % estimation
trimming=[0 0.33];
randstate=752010; %1928; %4545;
rand('twister', randstate); %fix seed in random number generator
mcdraws=50; % Monte Carlo samples
bootdraws=400; % # of bootstrapdraws
for paradigm=1:3
    for trim=1:size(trimming,2)
        for sizes=1:size(samplesize,2)
            disp('**************************************************************')
            disp(['Sample size: ' num2str(samplesize(sizes))])
            disp('**************************************************************')
            [tab1,tab2,tab3]=monte_carlo_final_5(paradigm,samplesize(1,sizes),trimming(1,trim),1,0,mcdraws,bootdraws);
            table1((trim-1)*size(samplesize,2)+sizes,(paradigm-1)*3+1:(paradigm-1)*3+3)=tab1;
            table2((trim-1)*size(samplesize,2)+sizes,(paradigm-1)*2+1:(paradigm-1)*2+2)=tab2;
            table3((trim-1)*size(samplesize,2)+sizes,(paradigm-1)*2+1:(paradigm-1)*2+2)=tab3;
        end
    end
end
savefile = ['mc_rnd_' int2str(randstate) '_n_' int2str(samplesize(1,1)) '_trim_' num2str(trimming(1,2)*100) '.mat'];
save(savefile)
