function[ressupinfo,agdeminf]=resample_informed(ressup,firstcust,infoset,bidder,agdemuninf)

% this file takes the matrix of resampled residual supplies and
% substitutes one customer bid in each of these out for the observed customer bid

global resamplingdraws invbidboot
ressupinfo=ressup;
agdeminf=agdemuninf;
for j=1:resamplingdraws
    if firstcust(j,1)>0
        ressupinfo(j,:)=ressup(j,:)+invbidboot(firstcust(j,1),:); %adds one customer bid back in
        agdeminf(j,:)=agdeminf(j,:)-invbidboot(firstcust(j,1),:);
    end
    if firstcust(j,2)>0 && infoset(bidder,2)~=0
        ressupinfo(j,:)=ressupinfo(j,:)+invbidboot(firstcust(j,2),:); %adds second customer bid back in
        agdeminf(j,:)=agdeminf(j,:)-invbidboot(firstcust(j,2),:);
    end
 
    for obs=1:size(infoset,2)
            if infoset(bidder,obs)~=0
                ressupinfo(j,:)=ressupinfo(j,:)-invbidboot(infoset(bidder,obs),:); %subtract observed cust bid   
                agdeminf(j,:)=agdeminf(j,:)+invbidboot(infoset(bidder,obs),:);
            else
                break
            end
    end
end
