% run all tests at once:
cd /home/jakub/Matlab/Ali_Testing

%diary /home/jakub/matlab_results/cvtest/kernel_dec_09/cvtest_3m_july_17_2010.txt
clear
cutoff2{1,1}=[]; % in this case cutoff will depend on the auction group: max bid plus markup of 100 basis points
cutoff2{1,2}=1000000; % face value of the t-bill is the cutoff
cutoff2{1,3}=Inf; % in this case only NaN marg values will be eliminated
multiple2=[1];% 4]; % how to adjust the hard mark-up added to bids in case of Inf or NaN and no estimate of markup at neighboring steps for 12m relative to 3m.
markup{1,1}=2500; % hard mark-up added to bids in case of Inf or NaN and no estimate of markup at neighboring steps (default: 2500=100bp in 3m)
%markup{1,2}=100;
only12m=0;
only3m=1;
for mark=1:size(markup,2)
    markup_par=markup{1,mark};
    for a=2:2
        if a==1
            adjust_by_neighbors=0;
        else
            adjust_by_neighbors=1;
        end
        for j=1:size(multiple2,2)
            testvector=[];
            testindividual=[];
            resultsinfo=[];
            results_althypo=[];
            multiple=multiple2(j);

            for i=1:size(cutoff2,2)   
               cutoff=cutoff2{1,i};     
               if j==1 && only12m==0 % j>1 affects only 12m tests 
                    % 3m, M1, Kernel 25
                   [temp, temp2, temp3,temp4,restr_samplestat_3m_25_auc1]=teststat_construct('/home/jakub/matlab_results/cvtest/kernel_dec_09/canada_model_M1_3m_auc1_gr116_O1_S0_pkernel1_25.mat',cutoff,multiple,adjust_by_neighbors,markup_par);
                   testvector=[testvector; temp];
                   testindividual=[testindividual; temp2];
                   resultsinfo=[resultsinfo; temp3];
                   results_althypo=[results_althypo; temp4];

                   [temp, temp2, temp3,temp4,restr_samplestat_3m_25]=teststat_construct('/home/jakub/matlab_results/cvtest/kernel_dec_09/canada_model_M1_3m_auc2_gr58_O1_S0_pkernel1_25.mat',cutoff,multiple,adjust_by_neighbors,markup_par);
                   testvector=[testvector; temp];
                   testindividual=[testindividual; temp2];
                   resultsinfo=[resultsinfo; temp3];
                   results_althypo=[results_althypo; temp4];

                   [temp, temp2, temp3,temp4]=teststat_construct('/home/jakub/matlab_results/cvtest/kernel_dec_09/canada_model_M1_3m_auc4_gr29_O1_S0_pkernel1_25.mat',cutoff,multiple,adjust_by_neighbors,markup_par);
                   testvector=[testvector; temp];
                   testindividual=[testindividual; temp2];
                   resultsinfo=[resultsinfo; temp3];
                   results_althypo=[results_althypo; temp4];


                   % 3m, M1, Kernel 100
                   [temp, temp2, temp3,temp4,restr_samplestat_3m_100_auc1]=teststat_construct('/home/jakub/matlab_results/cvtest/kernel_sep_09/canada_model_M1_3m_auc1_gr116_O1_S0_pkernel1_100.mat',cutoff,multiple,adjust_by_neighbors,markup_par);
                   testvector=[testvector; temp];
                   testindividual=[testindividual; temp2];
                   resultsinfo=[resultsinfo; temp3];
                   results_althypo=[results_althypo; temp4];

                   [temp, temp2, temp3,temp4,restr_samplestat_3m_100]=teststat_construct('/home/jakub/matlab_results/cvtest/kernel_sep_09/canada_model_M1_3m_auc2_gr58_O1_S0_pkernel1_100.mat',cutoff,multiple,adjust_by_neighbors,markup_par);
                   testvector=[testvector; temp];
                   testindividual=[testindividual; temp2];
                   resultsinfo=[resultsinfo; temp3];
                   results_althypo=[results_althypo; temp4];

                   [temp, temp2, temp3,temp4]=teststat_construct('/home/jakub/matlab_results/cvtest/kernel_sep_09/canada_model_M1_3m_auc4_gr29_O1_S0_pkernel1_100.mat',cutoff,multiple,adjust_by_neighbors,markup_par);
                   testvector=[testvector; temp];
                   testindividual=[testindividual; temp2];
                   resultsinfo=[resultsinfo; temp3];
                   results_althypo=[results_althypo; temp4];


                   % 3m, M1, Kernel 500 - Aug
                   [temp, temp2, temp3,temp4]=teststat_construct('/home/jakub/matlab_results/cvtest/kernel_aug_09/canada_model_M1_3m_auc1_gr116_O1_S0_pkernel1_500.mat',cutoff,multiple,adjust_by_neighbors,markup_par);
                   testvector=[testvector; temp];
                   testindividual=[testindividual; temp2];
                   resultsinfo=[resultsinfo; temp3];
                   results_althypo=[results_althypo; temp4];

                   [temp, temp2, temp3,temp4]=teststat_construct('/home/jakub/matlab_results/cvtest/kernel_aug_09/canada_model_M1_3m_auc2_gr58_O1_S0_pkernel1_500.mat',cutoff,multiple,adjust_by_neighbors,markup_par);
                   testvector=[testvector; temp];
                   testindividual=[testindividual; temp2];
                   resultsinfo=[resultsinfo; temp3];
                   results_althypo=[results_althypo; temp4];

                   [temp, temp2, temp3,temp4]=teststat_construct('/home/jakub/matlab_results/cvtest/kernel_aug_09/canada_model_M1_3m_auc4_gr29_O1_S0_pkernel1_500.mat',cutoff,multiple,adjust_by_neighbors,markup_par);
                   testvector=[testvector; temp];
                   testindividual=[testindividual; temp2];
                   resultsinfo=[resultsinfo; temp3];
                   results_althypo=[results_althypo; temp4];


                   % 3m, M1, Kernel 500 - Dec
                   [temp, temp2, temp3,temp4,restr_samplestat_3m_500_auc1]=teststat_construct('/home/jakub/matlab_results/cvtest/kernel_dec_09/canada_model_M1_3m_auc1_gr116_O1_S0_pkernel1_500.mat',cutoff,multiple,adjust_by_neighbors,markup_par);
                   testvector=[testvector; temp];
                   testindividual=[testindividual; temp2];
                   resultsinfo=[resultsinfo; temp3];
                   results_althypo=[results_althypo; temp4];

                   [temp, temp2, temp3,temp4,restr_samplestat_3m_500]=teststat_construct('/home/jakub/matlab_results/cvtest/kernel_dec_09/canada_model_M1_3m_auc2_gr58_O1_S0_pkernel1_500.mat',cutoff,multiple,adjust_by_neighbors,markup_par);
                   testvector=[testvector; temp];
                   testindividual=[testindividual; temp2];
                   resultsinfo=[resultsinfo; temp3];
                   results_althypo=[results_althypo; temp4];

                   [temp, temp2, temp3,temp4]=teststat_construct('/home/jakub/matlab_results/cvtest/kernel_dec_09/canada_model_M1_3m_auc4_gr29_O1_S0_pkernel1_500.mat',cutoff,multiple,adjust_by_neighbors,markup_par);
                   testvector=[testvector; temp];
                   testindividual=[testindividual; temp2];
                   resultsinfo=[resultsinfo; temp3];
                   results_althypo=[results_althypo; temp4];

                   % 3m, M1, Kernel 1000 - Dec
                   [temp, temp2, temp3,temp4,restr_samplestat_3m_1000_auc1]=teststat_construct('/home/jakub/matlab_results/cvtest/kernel_dec_09/canada_model_M1_3m_auc1_gr116_O1_S0_pkernel1_1000.mat',cutoff,multiple,adjust_by_neighbors,markup_par);
                   testvector=[testvector; temp];
                   testindividual=[testindividual; temp2];
                   resultsinfo=[resultsinfo; temp3];
                   results_althypo=[results_althypo; temp4];

                   [temp, temp2, temp3,temp4,restr_samplestat_3m_1000]=teststat_construct('/home/jakub/matlab_results/cvtest/kernel_dec_09/canada_model_M1_3m_auc2_gr58_O1_S0_pkernel1_1000.mat',cutoff,multiple,adjust_by_neighbors,markup_par);
                   testvector=[testvector; temp];
                   testindividual=[testindividual; temp2];
                   resultsinfo=[resultsinfo; temp3];
                   results_althypo=[results_althypo; temp4];

                   [temp, temp2, temp3,temp4]=teststat_construct('/home/jakub/matlab_results/cvtest/kernel_dec_09/canada_model_M1_3m_auc4_gr29_O1_S0_pkernel1_1000.mat',cutoff,multiple,adjust_by_neighbors,markup_par);
                   testvector=[testvector; temp];
                   testindividual=[testindividual; temp2];
                   resultsinfo=[resultsinfo; temp3];
                   results_althypo=[results_althypo; temp4];

                   % 3m, M1, Kernel 5000
                   [temp, temp2, temp3,temp4,restr_samplestat_3m_5000_auc1]=teststat_construct('/home/jakub/matlab_results/cvtest/kernel_sep_09/canada_model_M1_3m_auc1_gr116_O1_S0_pkernel1_5000.mat',cutoff,multiple,adjust_by_neighbors,markup_par);
                   testvector=[testvector; temp];
                   testindividual=[testindividual; temp2];
                   resultsinfo=[resultsinfo; temp3];
                   results_althypo=[results_althypo; temp4];

                   [temp, temp2, temp3,temp4,restr_samplestat_3m_5000]=teststat_construct('/home/jakub/matlab_results/cvtest/kernel_sep_09/canada_model_M1_3m_auc2_gr58_O1_S0_pkernel1_5000.mat',cutoff,multiple,adjust_by_neighbors,markup_par);
                   testvector=[testvector; temp];
                   testindividual=[testindividual; temp2];
                   resultsinfo=[resultsinfo; temp3];
                   results_althypo=[results_althypo; temp4];

                   [temp, temp2, temp3,temp4]=teststat_construct('/home/jakub/matlab_results/cvtest/kernel_sep_09/canada_model_M1_3m_auc4_gr29_O1_S0_pkernel1_5000.mat',cutoff,multiple,adjust_by_neighbors,markup_par);
                   testvector=[testvector; temp];
                   testindividual=[testindividual; temp2];
                   resultsinfo=[resultsinfo; temp3];
                   results_althypo=[results_althypo; temp4];

               end
               
               if only3m==0
               % 12m, M1, Kernel 25
               [temp, temp2, temp3,temp4,restr_samplestat_12m_25_auc1]=teststat_construct('/home/jakub/matlab_results/cvtest/kernel_dec_09/canada_model_M1_12m_auc1_gr116_O1_S0_pkernel1_25.mat',cutoff,multiple,adjust_by_neighbors,markup_par);
                   testvector=[testvector; temp];
                   testindividual=[testindividual; temp2];
                   resultsinfo=[resultsinfo; temp3];
                   results_althypo=[results_althypo; temp4];

               [temp, temp2, temp3,temp4,restr_samplestat_12m_25]=teststat_construct('/home/jakub/matlab_results/cvtest/kernel_dec_09/canada_model_M1_12m_auc2_gr58_O1_S0_pkernel1_25.mat',cutoff,multiple,adjust_by_neighbors,markup_par);
                   testvector=[testvector; temp];
                   testindividual=[testindividual; temp2];
                   resultsinfo=[resultsinfo; temp3];
                   results_althypo=[results_althypo; temp4];

               [temp, temp2, temp3,temp4]=teststat_construct('/home/jakub/matlab_results/cvtest/kernel_dec_09/canada_model_M1_12m_auc4_gr29_O1_S0_pkernel1_25.mat',cutoff,multiple,adjust_by_neighbors,markup_par);
                   testvector=[testvector; temp];
                   testindividual=[testindividual; temp2];
                   resultsinfo=[resultsinfo; temp3];
                   results_althypo=[results_althypo; temp4];

               % 12m, M1, Kernel 100
               [temp, temp2, temp3,temp4,restr_samplestat_12m_100_auc1]=teststat_construct('/home/jakub/matlab_results/cvtest/kernel_sep_09/canada_model_M1_12m_auc1_gr116_O1_S0_pkernel1_100.mat',cutoff,multiple,adjust_by_neighbors,markup_par);
               testvector=[testvector; temp];
                   testindividual=[testindividual; temp2];
                   resultsinfo=[resultsinfo; temp3];
                   results_althypo=[results_althypo; temp4];

               [temp, temp2, temp3,temp4,restr_samplestat_12m_100]=teststat_construct('/home/jakub/matlab_results/cvtest/kernel_sep_09/canada_model_M1_12m_auc2_gr58_O1_S0_pkernel1_100.mat',cutoff,multiple,adjust_by_neighbors,markup_par);
               testvector=[testvector; temp];
                   testindividual=[testindividual; temp2];
                   resultsinfo=[resultsinfo; temp3];
                   results_althypo=[results_althypo; temp4];

               [temp, temp2, temp3,temp4]=teststat_construct('/home/jakub/matlab_results/cvtest/kernel_sep_09/canada_model_M1_12m_auc4_gr29_O1_S0_pkernel1_100.mat',cutoff,multiple,adjust_by_neighbors,markup_par);
               testvector=[testvector; temp];
                   testindividual=[testindividual; temp2];
                   resultsinfo=[resultsinfo; temp3];
                   results_althypo=[results_althypo; temp4];


               % 12m, M1, Kernel 500 - Aug
               [temp, temp2, temp3,temp4,restr_samplestat_12m_500_auc1]=teststat_construct('/home/jakub/matlab_results/cvtest/kernel_aug_09/canada_model_M1_12m_auc1_gr116_O1_S0_pkernel1_500.mat',cutoff,multiple,adjust_by_neighbors,markup_par);
               testvector=[testvector; temp];
                   testindividual=[testindividual; temp2];
                   resultsinfo=[resultsinfo; temp3];
                   results_althypo=[results_althypo; temp4];

               [temp, temp2, temp3,temp4,restr_samplestat_12m_500]=teststat_construct('/home/jakub/matlab_results/cvtest/kernel_aug_09/canada_model_M1_12m_auc2_gr58_O1_S0_pkernel1_500.mat',cutoff,multiple,adjust_by_neighbors,markup_par);
               testvector=[testvector; temp];
                   testindividual=[testindividual; temp2];
                   resultsinfo=[resultsinfo; temp3];
                   results_althypo=[results_althypo; temp4];

               [temp, temp2, temp3,temp4]=teststat_construct('/home/jakub/matlab_results/cvtest/kernel_aug_09/canada_model_M1_12m_auc4_gr29_O1_S0_pkernel1_500.mat',cutoff,multiple,adjust_by_neighbors,markup_par);
               testvector=[testvector; temp];
                   testindividual=[testindividual; temp2];
                   resultsinfo=[resultsinfo; temp3];
                   results_althypo=[results_althypo; temp4];


               % 12m, M1, Kernel 500 - Dec
               [temp, temp2, temp3,temp4]=teststat_construct('/home/jakub/matlab_results/cvtest/kernel_dec_09/canada_model_M1_12m_auc1_gr116_O1_S0_pkernel1_500.mat',cutoff,multiple,adjust_by_neighbors,markup_par);
               testvector=[testvector; temp];
                   testindividual=[testindividual; temp2];
                   resultsinfo=[resultsinfo; temp3];
                   results_althypo=[results_althypo; temp4];

               [temp, temp2, temp3,temp4]=teststat_construct('/home/jakub/matlab_results/cvtest/kernel_dec_09/canada_model_M1_12m_auc2_gr58_O1_S0_pkernel1_500.mat',cutoff,multiple,adjust_by_neighbors,markup_par);
               testvector=[testvector; temp];
                   testindividual=[testindividual; temp2];
                   resultsinfo=[resultsinfo; temp3];
                   results_althypo=[results_althypo; temp4];

               [temp, temp2, temp3,temp4]=teststat_construct('/home/jakub/matlab_results/cvtest/kernel_dec_09/canada_model_M1_12m_auc4_gr29_O1_S0_pkernel1_500.mat',cutoff,multiple,adjust_by_neighbors,markup_par);
               testvector=[testvector; temp];
                   testindividual=[testindividual; temp2];
                   resultsinfo=[resultsinfo; temp3];
                   results_althypo=[results_althypo; temp4];


               % 12m, M1, Kernel 1000
               [temp, temp2, temp3,temp4,restr_samplestat_12m_1000_auc1]=teststat_construct('/home/jakub/matlab_results/cvtest/kernel_dec_09/canada_model_M1_12m_auc1_gr116_O1_S0_pkernel1_1000.mat',cutoff,multiple,adjust_by_neighbors,markup_par);
               testvector=[testvector; temp];
                   testindividual=[testindividual; temp2];
                   resultsinfo=[resultsinfo; temp3];
                   results_althypo=[results_althypo; temp4];

               [temp, temp2, temp3,temp4,restr_samplestat_12m_1000]=teststat_construct('/home/jakub/matlab_results/cvtest/kernel_dec_09/canada_model_M1_12m_auc2_gr58_O1_S0_pkernel1_1000.mat',cutoff,multiple,adjust_by_neighbors,markup_par);
               testvector=[testvector; temp];
                   testindividual=[testindividual; temp2];
                   resultsinfo=[resultsinfo; temp3];
                   results_althypo=[results_althypo; temp4];

               [temp, temp2, temp3,temp4]=teststat_construct('/home/jakub/matlab_results/cvtest/kernel_dec_09/canada_model_M1_12m_auc4_gr29_O1_S0_pkernel1_1000.mat',cutoff,multiple,adjust_by_neighbors,markup_par);
               testvector=[testvector; temp];
                   testindividual=[testindividual; temp2];
                   resultsinfo=[resultsinfo; temp3];
                   results_althypo=[results_althypo; temp4];


               % 12m, M1, Kernel 5000
               [temp, temp2, temp3,temp4,restr_samplestat_12m_5000_auc1]=teststat_construct('/home/jakub/matlab_results/cvtest/kernel_sep_09/canada_model_M1_12m_auc1_gr116_O1_S0_pkernel1_5000.mat',cutoff,multiple,adjust_by_neighbors,markup_par);
               testvector=[testvector; temp];
                   testindividual=[testindividual; temp2];
                   resultsinfo=[resultsinfo; temp3];
                   results_althypo=[results_althypo; temp4];

               [temp, temp2, temp3,temp4,restr_samplestat_12m_5000]=teststat_construct('/home/jakub/matlab_results/cvtest/kernel_sep_09/canada_model_M1_12m_auc2_gr58_O1_S0_pkernel1_5000.mat',cutoff,multiple,adjust_by_neighbors,markup_par);
               testvector=[testvector; temp];
                   testindividual=[testindividual; temp2];
                   resultsinfo=[resultsinfo; temp3];
                   results_althypo=[results_althypo; temp4];

               [temp, temp2, temp3,temp4]=teststat_construct('/home/jakub/matlab_results/cvtest/kernel_dec_09/canada_model_M1_12m_auc4_gr29_O1_S0_pkernel1_5000.mat',cutoff,multiple,adjust_by_neighbors,markup_par);
               testvector=[testvector; temp];
                   testindividual=[testindividual; temp2];
                   resultsinfo=[resultsinfo; temp3];
                   results_althypo=[results_althypo; temp4];
               end

            end
           temp=['testvector' num2str(multiple2(j)) '_' num2str(a-1) '=testvector;'];
           eval(temp)
           temp=['testindiv' num2str(multiple2(j)) '_' num2str(a-1) '=testindividual;'];
           eval(temp)
           temp=['resultinfo' num2str(multiple2(j)) '_' num2str(a-1) '=resultsinfo;'];
           eval(temp)
           temp=['results_althypo_' num2str(multiple2(j)) '_' num2str(a-1) '=results_althypo;'];
           eval(temp)
        end
        if a==1
            temp=['/home/jakub/matlab_results/cvtest/kernel_dec_09/results_3_31_10_noneigh_' num2str(markup_par) '.mat'];
        else
            if only3m==1
                temp=['/home/jakub/Matlab/Ali_Testing/results_7_17_10_adjneigh_3m' num2str(markup_par) '.mat'];
            else
                if only12m==1
                    temp=['/home/jakub/Matlab/Ali_Testing/results_7_17_10_adjneigh_12m' num2str(markup_par) '.mat'];
                else
                    temp=['/home/jakub/Matlab/Ali_Testing/results_7_17_10_adjneigh_all' num2str(markup_par) '.mat'];
                end
            end
        end
        save(temp)        
    end
end

diary off

% restriction test on 15 pairs (in 12-m) within an auction:
temp=restr_samplestat_12m_25{1,2}(:,3)==1;
testvals_1auc_25=restr_samplestat_12m_25{1,2}(temp,1);
testvals_1auc_100=restr_samplestat_12m_100{1,2}(temp,1);
testvals_1auc_500=restr_samplestat_12m_500{1,2}(temp,1);
testvals_1auc_5000=restr_samplestat_12m_5000{1,2}(temp,1);

% plot differences in vhats under the alternative
[a1 a2]=hist(restr_samplestat_12m_25{1,1}(:,1));
[b1 b2]=hist(restr_samplestat_12m_100{1,1}(:,1));
[c1 c2]=hist(restr_samplestat_12m_500{1,1}(:,1));

[a3 a4]=hist(restr_samplestat_12m_25{1,1}(:,2));
[b3 b4]=hist(restr_samplestat_12m_100{1,1}(:,2));
[c3 c4]=hist(restr_samplestat_12m_500{1,1}(:,2));

[a11 a12]=ksdensity(restr_samplestat_12m_25{1,1}(:,1));
[b11 b12]=ksdensity(restr_samplestat_12m_100{1,1}(:,1));
[c11 c12]=ksdensity(restr_samplestat_12m_500{1,1}(:,1));


figure(2)
plot(a12,a11,'-','LineWidth',1.5)
hold on
plot(b12,b11,'r-','LineWidth',1.5)
hold on
plot(c12,c11,'k-','LineWidth',1.5)
legend('Bandwidth=25','Bandwidth=100','Bandwidth=500')
xlabel('\Delta v')
title(['Difference in estimated marginal values corresponding to the updated bids'])

[a11 a12]=ksdensity(restr_samplestat_12m_25{1,2}(:,1));
[b11 b12]=ksdensity(restr_samplestat_12m_100{1,2}(:,1));
[c11 c12]=ksdensity(restr_samplestat_12m_500{1,2}(:,1));
[d11 d12]=ksdensity(restr_samplestat_12m_5000{1,2}(:,1));

figure(3)
plot(a12,a11,'-','LineWidth',2.5)
hold on
plot(b12,b11,'r-','LineWidth',2.5)
hold on
plot(c12,c11,'k-','LineWidth',2.5)
hold on
plot(d12,d11,'c-','LineWidth',2.5)
legend('Bandwidth=25','Bandwidth=100','Bandwidth=500','Bandwidth=5000')
xlabel('\Delta v')
title(['Difference in estimated marginal values corresponding to the updated bids 12M'])

% in basis points
[a11 a12]=ksdensity(restr_samplestat_12m_25{1,2}(:,1)./25);
[b11 b12]=ksdensity(restr_samplestat_12m_100{1,2}(:,1)./25);
[c11 c12]=ksdensity(restr_samplestat_12m_500{1,2}(:,1)./25);
[d11 d12]=ksdensity(restr_samplestat_12m_5000{1,2}(:,1)./25);

figure(3)
plot(a12,a11,'-','LineWidth',2.5)
hold on
plot(b12,b11,'r-','LineWidth',2.5)
hold on
plot(c12,c11,'k-','LineWidth',2.5)
hold on
plot(d12,d11,'c-','LineWidth',2.5)
legend('Bandwidth = 1 (bp)','Bandwidth = 4','Bandwidth = 20','Bandwidth = 200')
xlabel('\Delta v (in basis points)')
title(['Difference in estimated marginal values corresponding to the updated bids 12M'])



temp=restr_samplestat_12m_25{1,2}(:,3)==1;
[a11 a12]=ksdensity(restr_samplestat_12m_25{1,2}(temp,1));
[b11 b12]=ksdensity(restr_samplestat_12m_100{1,2}(temp,1));
[c11 c12]=ksdensity(restr_samplestat_12m_500{1,2}(temp,1));
[d11 d12]=ksdensity(restr_samplestat_12m_5000{1,2}(temp,1));

figure(4)
plot(a12,a11,'-','LineWidth',2.5)
hold on
plot(b12,b11,'r-','LineWidth',2.5)
hold on
plot(c12,c11,'k-','LineWidth',2.5)
hold on
plot(d12,d11,'c-','LineWidth',2.5)
legend('Bandwidth=25','Bandwidth=100','Bandwidth=500','Bandwidth=5000')
xlabel('\Delta v')
title(['Difference in estimated marginal values corresponding \newline to the updated bids 12M (within auction pairs)'])


% In basis points:
[a11 a12]=ksdensity(restr_samplestat_12m_25{1,2}(temp,1)./25);
[b11 b12]=ksdensity(restr_samplestat_12m_100{1,2}(temp,1)./25);
[c11 c12]=ksdensity(restr_samplestat_12m_500{1,2}(temp,1)./25);
[d11 d12]=ksdensity(restr_samplestat_12m_5000{1,2}(temp,1)./25);

figure(10)
plot(a12,a11,'-','LineWidth',2.5)
hold on
plot(b12,b11,'r-','LineWidth',2.5)
hold on
plot(c12,c11,'k-','LineWidth',2.5)
hold on
plot(d12,d11,'c-','LineWidth',2.5)
legend('Bandwidth = 1 (bp)','Bandwidth = 4','Bandwidth = 20','Bandwidth = 200')
xlabel('\Delta v (in basis points)')
title(['Difference in estimated marginal values corresponding \newline to the updated bids 12M (within auction pairs)'])


[a11 a12]=ksdensity(restr_samplestat_3m_25{1,2}(:,1));
[b11 b12]=ksdensity(restr_samplestat_3m_100{1,2}(:,1));
[c11 c12]=ksdensity(restr_samplestat_3m_500{1,2}(:,1));
[d11 d12]=ksdensity(restr_samplestat_3m_5000{1,2}(:,1));

figure(5)
plot(a12,a11,'-','LineWidth',2.5)
hold on
plot(b12,b11,'r-','LineWidth',2.5)
hold on
plot(c12,c11,'k-','LineWidth',2.5)
hold on
plot(d12,d11,'c-','LineWidth',2.5)

legend('Bandwidth=25','Bandwidth=100','Bandwidth=500','Bandwidth=5000')
xlabel('\Delta v')
title(['Difference in estimated marginal values corresponding to the updated bids 3M'])

save('test_results.mat')
