function[utmin_per_t,utmax_per_t,utmax,utmin]=util(bidder,margval,clearprice)

%Function returns utilities per t_bill and total utility given t_bill
%supply given market clearing price, estimated marginal values and actual 
%bid 

global bidsteps bidstepscum estim
% persistent clearyield
% 
% if size(clearyield,1)==0
%     load('clearyield.mat', 'clearyield')
% end
% %Find ex post market clearing price:
% clearprice=clearyield(find(clearyield(:,1)==estim(bidstepscum(bidder,1),2)),3);



% Get upper envelope of marginal values
margmax=margval;
for step=2:bidsteps(bidder,1)
    margmax(1,step)=max(margval(1,step),margval(1,step-1));
end

for step=1:bidsteps(bidder,1)
    if bidder==1
        currentstep=step;
    else
        currentstep=bidstepscum(bidder-1,1)+step;
    end
    %Gross utility-payment
    if estim(currentstep,5)>=clearprice
        if step==1
            utmax=(margmax(1,step)-estim(currentstep,5))*estim(currentstep,7);
            utmin=(margval(1,step)-estim(currentstep,5))*estim(currentstep,7);
        else
            utmax=utmax+(margmax(1,step)-estim(currentstep,5))*(estim(currentstep,7)-estim(currentstep-1,7));
            utmin=utmin+(margval(1,step)-estim(currentstep,5))*(estim(currentstep,7)-estim(currentstep-1,7));
        end
    else
        utmax=0;
        utmin=0;
    end  
end
utmax_per_t=utmax;
utmin_per_t=utmin;
utmax=utmax*estim(bidstepscum(bidder,1),3);
utmin=utmin*estim(bidstepscum(bidder,1),3);        